2012/8/28

本格的にcygwinをputty代替として使っていく気になったので、Subversionに関 してもTortoiseSVNからcygwin版のSubversionを使用することにした。

apt-cyg install subversion

インストール後、今まで使用していたリポジトリで svn status を実行したら、upgradeしろと言われたので してみたところ、下記のエラーが。

$ svn upgrade
svn: E200029: Couldn't perform atomic initialization
svn: E200030: SQLite compiled for 3.7.13, but running with 3.7.3

ぐぐってみたところ、TortoiseSVNがSQLite3を使用しているのが原因のようだっ たので、TortoiseSVNを削除してらリトライ。でも変化せず。

$ sqlite3
SQLite header and source version mismatch
2010-10-08 02:34:02 2677848087c9c090efb17c1893e77d6136a9111d
2012-06-11 02:05:22 f5b5a13f7394dc143aa136f1d4faba6839eaa6dc

ソースと実行ファイルでバージョンの不一致がおこっている模様。でもソース からビルドした記憶はないんだけどなぜだろう。 よくわからないので、 apt-cyg find sqlite3 して関連するパッケージを調べて全て削除した。

$ apt-cyg remove libsqlite3-devel libsqlite3_0 odbc-sqlite3 sqlite3 sqlite3-debuginfo
Removing libsqlite3-devel
Package libsqlite3-devel removed
Removing libsqlite3_0
Package libsqlite3_0 removed
Package odbc-sqlite3 is not installed, skipping
Removing sqlite3
Package sqlite3 removed

そして、再インストール。

$ apt-cyg install sqlite3

今度はうまくいった。

$ svn upgrade
Upgraded '*************'
Upgraded '*************'
blog comments powered by Disqus